Debian Bug report logs - #580291
Please stop using hal

version graph

Package: libgphoto2-port0; Maintainer for libgphoto2-port0 is Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>; Source for libgphoto2-port0 is src:libgphoto2.

Reported by: Michael Biebl <biebl@debian.org>

Date: Wed, 5 May 2010 01:36:01 UTC

Severity: important

Tags: confirmed

Found in version libgphoto2/2.4.6-1

Fixed in version 2.4.10.1-4

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#580291; Package libgphoto2-port0. (Wed, 05 May 2010 01:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Wed, 05 May 2010 01:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please stop using hal
Date: Wed, 05 May 2010 03:32:56 +0200
Package: libgphoto2-port0
Version: 2.4.6-1
Severity: normal

Hi,

hal is being deprecated and we eventually want to get rid of it [1].

Apparently the necessary upstream changes were already committed [2].
It would be nice to see those changes make it into Debian.

Cheers,
Michael


[1] http://wiki.debian.org/HALRemoval
[2]
http://sourceforge.net/tracker/?func=detail&aid=2801117&group_id=8874&atid=308874
-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libgphoto2-port0 depends on:
ii  libc6                        2.10.2-6    Embedded GNU C Library: Shared lib
ii  libdbus-1-3                  1.2.24-2    simple interprocess messaging syst
ii  libhal1                      0.5.14-2    Hardware Abstraction Layer - share
ii  libltdl7                     2.2.6b-2    A system independent dlopen wrappe
ii  libusb-0.1-4                 2:0.1.12-14 userspace USB programming library

libgphoto2-port0 recommends no packages.

Versions of packages libgphoto2-port0 suggests:
pn  gphoto2                       <none>     (no description available)
pn  gtkam                         <none>     (no description available)

-- no debconf information




Added tag(s) confirmed and pending. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Tue, 15 Feb 2011 08:03:09 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 26 Feb 2011 11:00:22 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Wed, 02 Mar 2011 18:27:06 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Wed, 02 Mar 2011 18:27:06 GMT) Full text and rfc822 format available.

Message #14 received at 580291-done@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 580291-done@bugs.debian.org
Subject: Fixed in 2.4.10.1-4
Date: Wed, 02 Mar 2011 19:24:55 +0100
[Message part 1 (text/plain, inline)]
Version: 2.4.10.1-4

libgphoto2 (2.4.10.1-4) unstable; urgency=low

  * Upload to unstable
  * Removing KiBi from Uploaders, as requested. Thanks for all your
    previous work!
  * HALectomy: remove libhal-dev from Build-Depends, and remove
    HAL FDI generation in debian/rules. (Closes: #580291)
  * Split documentation in other two binary packages: libgphoto2-dev-doc
    and libgphoto2-doc
  * Rename libgphoto2-2-dev to libgphoto2-dev: this will ease SONAME
    transitions through binNMUs.

 -- David Paleino <dapal@debian.org>  Sat, 26 Feb 2011 18:08:38 +0100

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 08:56:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:16:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.